org.firebirdsql.jna.fbclient

## Class ISC_STATUS

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - org.firebirdsql.jna.fbclient.ISC_STATUS

All Implemented Interfaces:
  com.sun.jna.NativeMapped, java.io.Serializable

    public class ISC_STATUS
    extends com.sun.jna.IntegerType

JNA wrapper for ISC_STATUS. Size depends on pointer size of the target platform.

Author:
  Mark Rotteveel
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `SIZE` Size of an ISC_STATUS, in bytes.

### Constructor Summary

Constructors
Constructor and Description
`ISC_STATUS()` Create a zero-valued ISC_STATUS.
`ISC_STATUS(long value)` Create an ISC_STATUS with the given value.

### Method Summary

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIZE

    public static final int SIZE

Size of an ISC_STATUS, in bytes.

### Constructor Detail

#### ISC_STATUS

    public ISC_STATUS()

Create a zero-valued ISC_STATUS.

#### ISC_STATUS

    public ISC_STATUS(long value)

Create an ISC_STATUS with the given value.